Create a response

Creates a response using the OpenAI Responses API format. Supports streaming via SSE.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Public model id. An OpenAI model is openai/, for example openai/gpt-4o.

required

Input - can be a string or array of messages

boolean
boolean
string
include
array of strings
include
string
integer
integer
metadata
object
boolean
string
string
string
enum

Prompt cache retention policy

Allowed:
prompt_cache_options
object

Request-wide prompt cache options (OpenAI gpt-5.6+). Passed through to the provider.

reasoning
object
string
string
stream_options
object
boolean
number
text
object
integer
number
enum
tools
array of objects
tools
string
enum

How to handle input that exceeds the context window

Allowed:
string

User identifier for tracking

Headers
string
enum

Force the quality judge on or off for this request. off skips evaluation and ignores judge_effort. Any value other than on or off is ignored and the plugin's enable switch is used.

Allowed:
string
enum

Force task routing on or off for this request. on routes even when the plugin default is off. off uses the caller's model. Any value other than on or off is ignored.

Allowed:
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/event-stream